package tld.company.project.test;

import javax.enterprise.context.RequestScoped;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.inject.Inject;
import javax.inject.Named;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@Named
@RequestScoped
public class TestConverter implements Converter
{
	private static final Logger log = LoggerFactory.getLogger(TestConverter.class);
	
	@Inject
	private TestBean testBean;

	@Override
	public Object getAsObject(FacesContext arg0, UIComponent arg1, String name)
	{
		log.info(getClass().getSimpleName() + ".getAsObject: " + name);
		
		return testBean.getLocationFor(name);
	}

	@Override
	public String getAsString(FacesContext arg0, UIComponent arg1, Object obj)
	{
		log.info(getClass().getSimpleName() + ".getAsString: " + obj);
		
		return ((Location)obj).getName();
	}
}
